controllers/FormanController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Forman;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Equipos;
use app\models\Jugadores;

/**
 * FormanController implements the CRUD actions for Forman model.
 */
class FormanController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Forman models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Forman::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Forman model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Forman model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Forman();
        
        $model_jugadores = Jugadores::find()->all();
        $model_equipos = Equipos::find()->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_forman]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Updates an existing Forman model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
        $model_equipos = Equipos::find()->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_forman]);
        }

        return $this->render('update', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Deletes an existing Forman model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Forman model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Forman the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Forman::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/GolesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Goles;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Partidos;
use app\models\Jugadores;
use app\models\Juegan;

/**
 * GolesController implements the CRUD actions for Goles model.
 */
class GolesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Goles models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Goles::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Goles model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Goles model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Goles();
        
        $model_jugadores = Jugadores::find()->all();
         $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_gol]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Updates an existing Goles model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
         $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_gol]);
        }

        return $this->render('update', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Deletes an existing Goles model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Goles model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Goles the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Goles::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
}
 public function actionListjugadores($id)
    {
           $countjugadores = Juegan::find()->where(['codigo_partido'=>$id])->count();
           
           $jugadores = Juegan::find()->where(['codigo_partido'=>$id])
                   ->orderBy('id_juegan DESC')->all();
           
           
           
           if($countjugadores>0){
               echo "<option value=''>Selecciona en propia puerta o el goleador</option>";
               echo "<option value='null'>En propia puerta</option>";
               foreach($jugadores as $result) echo "<option value='".$result->codigo_jugador."'>".$result->codigoJugador['nombre'].' '.$result->codigoJugador['apellidos']."</option>";
           }
           
           else{
               echo "<option>-</option>";
           }
           
    }
    
    public function actionListjugadores2($id)
    {
           $countjugadores2 = Juegan::find()->where(['codigo_partido'=>$id])->count();
           
           $jugadores2 = Juegan::find()->where(['codigo_partido'=>$id])
                   ->orderBy('id_juegan DESC')->all();
           
           
           
           if($countjugadores>0){
               echo "<option value='null'>Sin asistencia</option>";
               foreach($jugadores2 as $result) echo "<option value='".$result->codigo_jugador."'>".$result->codigoJugador['nombre'].' '.$result->codigoJugador['apellidos']."</option>";
           }
           
           else{
               echo "<option>-</option>";
           }
           
    }
    
 

}

controllers/JueganController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Juegan;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Partidos;
use app\models\Jugadores;

/**
 * JueganController implements the CRUD actions for Juegan model.
 */
class JueganController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Juegan models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Juegan::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Juegan model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Juegan model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Juegan();
        $model_jugadores = Jugadores::find()->all();
        $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_juegan]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Updates an existing Juegan model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
        $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_juegan]);
        }

        return $this->render('update', [
            'model' => $model,
            'momdel_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Deletes an existing Juegan model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Juegan model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Juegan the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Juegan::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;
use app\assets\FontAsset; 
FontAsset::register($this);
AppAsset::register($this);

?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    
        <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap" >
    <?php
    NavBar::begin([
        'brandLabel' => Html::img('@web/images/logo.png',['alt'=>Yii::$app->name,'class'=>'logo']),
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-inverse navbar-fixed-top',
        ],
    ]);
    
    if (Yii::$app->user->isGuest){
    
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Competiciones', 'url' => ['/competiciones/index']],
            ['label' => 'Equipos', 'url' => ['/equipos/index']],
            ['label' => 'About', 'url' => ['/site/about']],
            ['label' => 'Contact', 'url' => ['/site/contact']],
            Yii::$app->user->isGuest ? (
                ['label' => 'Login', 'url' => ['/site/login']]
            ) : (
                '<li>'
                . Html::beginForm(['/site/logout'], 'post')
                . Html::submitButton(
                    'Logout (' . Yii::$app->user->identity->username . ')',
                    ['class' => 'btn btn-link logout']
                )
                . Html::endForm()
                . '</li>'
            )
        ],
    ]);
    }else{
         echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'HOME ADMIN', 'url' => ['/site/index']],
            ['label' => 'COMPETICIONES', 'url' => ['/competiciones/index']],
            ['label' => 'EQUIPOS','options'=>['class'=>'dropdown show'],
                'items'=> [
                    ['label' => 'Equipos', 'url' => ['/equipos/index']],
                    ['label' => 'Forman', 'url' => ['/forman/index']],
                    ]
                ],
            ['label' => 'JUGADORES','options'=>['class'=>'dropdown show'],
                 'items'=> [
                    ['label' => 'Jugadores', 'url' => ['/jugadores/index']],
                    ['label' => 'Nacionalidades', 'url' => ['/nacionalidades/index']],
                    ]
                ],            
            ['label' => 'PARTIDOS', 'options'=>['class'=>'dropdown show'],
                'items'=> [
                   ['label' => 'Partidos', 'url' => ['/partidos/index']],
                   ['label' => 'Juegan', 'url' => ['/juegan/index']],
                   ['label' => 'Goles', 'url' => ['/goles/index']],
                   ]
                ],
            Yii::$app->user->isGuest ? (
                ['label' => 'LOGIN', 'url' => ['/site/login']]
            ) : (
                '<li>'
                . Html::beginForm(['/site/logout'], 'post')
                . Html::submitButton(
                    'LOGOUT (' . Yii::$app->user->identity->username . ')',
                    ['class' => 'btn btn-link logout']
                )
                . Html::endForm()
                . '</li>'
            )
        ],
    ]);  
    }
    
    
    NavBar::end();
    ?>

    <div class="container-fluid">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">&copy; My Company <?= date('Y') ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>